ru.bitel.bgbilling.modules.voiceip.radius.event

## Class SessionCreatingEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.voiceip.radius.event.SessionCreatingEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class SessionCreatingEvent
      extends LocalEvent

  Синхронное событие - перед сохранением VoiceIp сессии.
  Позволяет модифицировать сессию перед сохранением после тарификации.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionCreatingEvent(int moduleId, bitel.billing.server.processor.voiceip.VoiceIpSessionRealtime session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `bitel.billing.server.processor.voiceip.VoiceIpSessionRealtime` | `getSession()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionCreatingEvent

          public SessionCreatingEvent(int moduleId,
                                      bitel.billing.server.processor.voiceip.VoiceIpSessionRealtime session)

  - ### Method Detail

    - #### getSession

          public bitel.billing.server.processor.voiceip.VoiceIpSessionRealtime getSession()